edu.csus.ecs.pc2.api

## Class APIConstants

- java.lang.Object
- - edu.csus.ecs.pc2.api.APIConstants

-     public final class APIConstants
      extends Object

  Constants used in the API.
  Version:
    $Id$
  Author:
    pc2@ecs.csus.edu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPUTER_AND_MANUAL_JUDGING` Judging Type value.
    `static String` | `COMPUTER_JUDGING_ONLY` Judging Type value.
    `static String` | `DEFAULT_PC2_VALIDATOR_COMMAND` Default validator command line value.
    `static String` | `JUDGING_TYPE` Problem Judging Type
    `static String` | `MANUAL_JUDGING_ONLY` Judging Type value.
    `static String` | `PC2_VALIDATOR_PROGRAM` PC^2 Validator program value.
    `static String` | `VALIDATOR_COMMAND_LINE` Validator command line
    `static String` | `VALIDATOR_PROGRAM` Validator program name.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JUDGING_TYPE

          public static final String JUDGING_TYPE

      Problem Judging Type
      See Also:
        Constant Field Values

    - #### VALIDATOR_COMMAND_LINE

          public static final String VALIDATOR_COMMAND_LINE

      Validator command line
      See Also:
        Constant Field Values

    - #### VALIDATOR_PROGRAM

          public static final String VALIDATOR_PROGRAM

      Validator program name.
      See Also:
        Constant Field Values

    - #### MANUAL_JUDGING_ONLY

          public static final String MANUAL_JUDGING_ONLY

      Judging Type value.
      See Also:
        Constant Field Values

    - #### COMPUTER_JUDGING_ONLY

          public static final String COMPUTER_JUDGING_ONLY

      Judging Type value.
      See Also:
        Constant Field Values

    - #### COMPUTER_AND_MANUAL_JUDGING

          public static final String COMPUTER_AND_MANUAL_JUDGING

      Judging Type value.
      See Also:
        Constant Field Values

    - #### DEFAULT_PC2_VALIDATOR_COMMAND

          public static final String DEFAULT_PC2_VALIDATOR_COMMAND

      Default validator command line value.
      See Also:
        Constant Field Values

    - #### PC2_VALIDATOR_PROGRAM

          public static final String PC2_VALIDATOR_PROGRAM

      PC^2 Validator program value.
      See Also:
        Constant Field Values